hpp-core: hpp::core::ConnectedComponent Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions | List of all members
hpp::core::ConnectedComponent Class Reference

`#include <hpp/core/connected-component.hh>`

## Public Types
typedef ConnectedComponent * | RawPtr_t
typedef std::set< RawPtr_t > | RawPtrs_t

## Public Member Functions
virtual void | merge (const ConnectedComponentPtr_t &other)
virtual | ~ConnectedComponent ()
virtual void | addNode (const NodePtr_t &node)
const NodeVector_t & | nodes () const
| Access to the nodes.
ConnectedComponentPtr_t | self ()
bool | operator< (const ConnectedComponent &rhs) const
Reachability
bool | canReach (const ConnectedComponentPtr_t &cc)
bool | canReach (const ConnectedComponentPtr_t &cc, RawPtrs_t &cc2Tocc1)
const RawPtrs_t & | reachableTo () const
const RawPtrs_t & | reachableFrom () const

## Static Public Member Functions
static ConnectedComponentPtr_t | create ()

## Static Public Attributes
static unsigned int | globalFinishTime_

## Protected Member Functions
| ConnectedComponent ()
| Constructor.
void | init (const ConnectedComponentPtr_t &shPtr)

## Detailed Description

Connected component

Set of nodes reachable from one another.

## Member Typedef Documentation

## ◆ RawPtr_t

typedef ConnectedComponent* hpp::core::ConnectedComponent::RawPtr_t

## ◆ RawPtrs_t

typedef std::set<RawPtr_t> hpp::core::ConnectedComponent::RawPtrs_t

## Constructor & Destructor Documentation

## ◆ ~ConnectedComponent()

virtual hpp::core::ConnectedComponent::~ConnectedComponent | ( |  | ) |
| inlinevirtual

## ◆ ConnectedComponent()

hpp::core::ConnectedComponent::ConnectedComponent | ( |  | ) |
| inlineprotected

Constructor.

## Member Function Documentation

## ◆ addNode()

virtual void hpp::core::ConnectedComponent::addNode | ( | const NodePtr_t & | node | ) |
| inlinevirtual

Add node in connected component

Parameters

  node | node to add.

## ◆ canReach() [1/2]

bool hpp::core::ConnectedComponent::canReach | ( | const ConnectedComponentPtr_t & | cc | ) |

Whether this connected component can reach cc

Parameters

  cc | a connected component

## ◆ canReach() [2/2]

bool hpp::core::ConnectedComponent::canReach | ( | const ConnectedComponentPtr_t & | cc,
|  | RawPtrs_t & | cc2Tocc1
| ) |  |

Whether this connected component can reach cc

Parameters

  cc | a connected component

Return values

  cc2Tocc1 | list of connected components between cc2 and cc1 that should be merged.

## ◆ create()

static ConnectedComponentPtr_t hpp::core::ConnectedComponent::create | ( |  | ) |
| inlinestatic

## ◆ init()

void hpp::core::ConnectedComponent::init | ( | const ConnectedComponentPtr_t & | shPtr | ) |
| inlineprotected

## ◆ merge()

virtual void hpp::core::ConnectedComponent::merge | ( | const ConnectedComponentPtr_t & | other | ) |
| virtual

Merge two connected components.

Parameters

  other | connected component to merge into this one.

Note
  other will be empty after calling this method.

## ◆ nodes()

const NodeVector_t & hpp::core::ConnectedComponent::nodes | ( |  | ) | const
| inline

Access to the nodes.

## ◆ operator<()

bool hpp::core::ConnectedComponent::operator< | ( | const ConnectedComponent & | rhs | ) | const
| inline

## ◆ reachableFrom()

const RawPtrs_t & hpp::core::ConnectedComponent::reachableFrom | ( |  | ) | const
| inline

## ◆ reachableTo()

const RawPtrs_t & hpp::core::ConnectedComponent::reachableTo | ( |  | ) | const
| inline

## ◆ self()

ConnectedComponentPtr_t hpp::core::ConnectedComponent::self | ( |  | ) |
| inline

## Member Data Documentation

## ◆ globalFinishTime_

unsigned int hpp::core::ConnectedComponent::globalFinishTime_
| static

The documentation for this class was generated from the following file:

- include/hpp/core/connected-component.hh